Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# interpol::InterpolationFactory Class Reference

`#include <Interpol.h>`

List of all members.

## Public Types
enum | Type { Linear, Spline }
## Static Public Member Functions
Interpolation * | Create (Type type)
Interpolation * | Create (Type type, const Interpolation *pSource)
Interpolation * | Transform (Type type, Interpolation *pSource)
void | Destroy (Interpolation *pInterpolation)
void | Write (Out &out, const Interpolation *pInterpolation)
Interpolation * | Read (In &in)

## Member Enumeration Documentation

enum interpol::InterpolationFactory::Type

  | Enumeration values:
  Linear |
  Spline |
Definition at line 32 of file Interpol.h. Referenced by Read().

## Member Function Documentation

Interpolation * interpol::InterpolationFactory::Create | ( | Type | type | ) | `[static]`

| Definition at line 29 of file Interpol.cpp. References Linear, and Spline. Referenced by Create(), Read(), and Transform().

Interpolation * interpol::InterpolationFactory::Create | ( | Type | type,
|  | const Interpolation * | pSource
| ) | `[static]`

| Definition at line 42 of file Interpol.cpp. References interpol::Interpolation::Assign(), and Create().

Here is the call graph for this function:

Interpolation * interpol::InterpolationFactory::Transform | ( | Type | type,
|  | Interpolation * | pSource
| ) | `[static]`

| Definition at line 50 of file Interpol.cpp. References Create(), and Destroy().

Here is the call graph for this function:

void interpol::InterpolationFactory::Destroy | ( | Interpolation * | pInterpolation | ) | `[static]`

| Definition at line 58 of file Interpol.cpp. Referenced by Transform().

void interpol::InterpolationFactory::Write | ( | Out & | out,
|  | const Interpolation * | pInterpolation
| ) | `[static]`

| Definition at line 63 of file Interpol.cpp. References interpol::Interpolation::GetType(), out, and interpol::Interpolation::points.

Here is the call graph for this function:

Interpolation * interpol::InterpolationFactory::Read | ( | In & | in | ) | `[static]`

| Definition at line 74 of file Interpol.cpp. References interpol::Interpolation::BuildSortedPoints(), Create(), in, interpol::Interpolation::nextIndex, interpol::Interpolation::OnChange(), interpol::Interpolation::points, and Type.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Tools/Math/Interpol.h
- Tools/Math/Interpol.cpp